package org.chenyang.http.client;

import org.chenyang.http.HttpHost;
import org.chenyang.http.auth.AuthScheme;

public interface AuthCache {
   void put(HttpHost var1, AuthScheme var2);

   AuthScheme get(HttpHost var1);

   void remove(HttpHost var1);

   void clear();
}
